# SimpleColor

SimpleColor is a Python module for adding color to your terminal output easily.

## Installation

You can install SimpleColor using pip. Simply run the following command:

```bash
pip install simplecolor
```

## Usage

```python
import simplecolor

# Colorize text with predefined colors
colored_text = simplecolor.colorize("Hello, World!", "red", "bg_black")

# Colorize text with custom hex colors
hex_colored_text = simplecolor.hex_colorize("Custom Color", "#FFA500", "bg_white")

# Clear the terminal screen
simplecolor.clear_terminal()
```

Or

```python
import SimpleColor

# Colorize text with predefined colors but also automatically resets
colored_text = simplecolor.colorize("Hello, World!", "red", "bg_black", reset=True)

# Colorize text with custom hex colors but also automatically resets
hex_colored_text = simplecolor.hex_colorize("Custom Color", "#FFA500", "bg_white", reset=True)

# Clear the terminal screen
simplecolor.clear_terminal()
```

## Predefined Colors

SimpleColor provides a variety of predefined colors, including:

- reset
- black
- red
- green
- yellow
- blue
- purple
- cyan
- white
- gray
- light_red
- light_green
- light_yellow
- light_blue
- light_purple
- light_cyan
- pink
- orange
- teal
- dark_gray
- dark_red
- dark_green
- dark_yellow
- dark_blue
- dark_purple
- dark_cyan
- light_gray
- bold_white
- bg_black
- bg_red
- bg_green
- bg_yellow
- bg_blue
- bg_purple
- bg_cyan
- bg_white
- bg_light_gray
- bg_dark_gray
- bg_light_red
- bg_light_green
- bg_light_yellow
- bg_light_blue
- bg_light_purple
- bg_light_cyan
- bg_bold_white
